Bug 108359 - amdgpu-pro rpm packages cyclical dependencies
Summary: amdgpu-pro rpm packages cyclical dependencies
Status: RESOLVED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/AMDgpu-pro (show other bugs)
Version: unspecified
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Default DRI bug account
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-15 00:25 UTC by ilmostro7
Modified: 2019-02-27 22:10 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ilmostro7 2018-10-15 00:25:19 UTC
Using the latest amdgpu-pro packages from https://www.amd.com/en/support/kb/release-notes/rn-prorad-lin-18-30 for RHEL7, it seems that a number of the packages and their "*-pro" counterparts are constantly reported as upgrades for the other.  This means that every time an attempt is made to upgrade the system, e.g. vulkan-amdgpu is listed as an upgrade that obsoletes vulkan-amdgpu-pro, and vice versa.



# yum upgrade
Loaded plugins: aliases, changelog, copr, langpacks, priorities, product-id, protectbase, ps, search-disabled-repos, subscription-manager, versionlock
0 packages excluded due to repository protections
Resolving Dependencies
--> Running transaction check
---> Package vulkan-amdgpu.x86_64 0:18.30-641594.el7 will be obsoleting
---> Package vulkan-amdgpu-pro.x86_64 0:18.30-641594.el7 will be obsoleted
--> Finished Dependency Resolution

Dependencies Resolved

=================================================================================================================================================================================================================================================================================
 Package                                                           Arch                                                       Version                                                                 Repository                                                            Size
=================================================================================================================================================================================================================================================================================
Installing:
 vulkan-amdgpu                                                     x86_64                                                     18.30-641594.el7                                                        amdgpu-pro-local                                                      10 M
     replacing  vulkan-amdgpu-pro.x86_64 18.30-641594.el7

Transaction Summary
=================================================================================================================================================================================================================================================================================
Install  1 Package

Total download size: 10 M
Is this ok [y/d/N]: y
Downloading packages:
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  Installing : vulkan-amdgpu-18.30-641594.el7.x86_64                                                                                                                                                                                                                         1/2 
  Erasing    : vulkan-amdgpu-pro-18.30-641594.el7.x86_64                                                                                                                                                                                                                     2/2 
  Verifying  : vulkan-amdgpu-18.30-641594.el7.x86_64                                                                                                                                                                                                                         1/2 
  Verifying  : vulkan-amdgpu-pro-18.30-641594.el7.x86_64                                                                                                                                                                                                                     2/2 

Installed:
  vulkan-amdgpu.x86_64 0:18.30-641594.el7                                                                                                                                                                                                                                        

Replaced:
  vulkan-amdgpu-pro.x86_64 0:18.30-641594.el7                                                                                                                                                                                                                                    

Complete!
[19:24][20181014-1]# yum upgrade
Loaded plugins: aliases, changelog, copr, langpacks, priorities, product-id, protectbase, ps, search-disabled-repos, subscription-manager, versionlock
0 packages excluded due to repository protections
Resolving Dependencies
--> Running transaction check
---> Package vulkan-amdgpu.x86_64 0:18.30-641594.el7 will be obsoleted
---> Package vulkan-amdgpu-pro.x86_64 0:18.30-641594.el7 will be obsoleting
--> Finished Dependency Resolution

Dependencies Resolved

=================================================================================================================================================================================================================================================================================
 Package                                                              Arch                                                      Version                                                                Repository                                                           Size
=================================================================================================================================================================================================================================================================================
Installing:
 vulkan-amdgpu-pro                                                    x86_64                                                    18.30-641594.el7                                                       amdgpu-pro-local                                                    4.5 M
     replacing  vulkan-amdgpu.x86_64 18.30-641594.el7

Transaction Summary
=================================================================================================================================================================================================================================================================================
Install  1 Package

Total download size: 4.5 M
Is this ok [y/d/N]:
Comment 1 Jeremy Newton 2018-12-04 16:39:23 UTC
This should have been fixed. Can you retest using a newer version?
Comment 2 Jeremy Newton 2019-02-27 22:10:27 UTC
Closing as fixed, please reopen if you can reproduce the issue on the latest build.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.